Bug 534626 - (RHQ-1404) connection properties history shows first user-initiated update as first revision, rather than the version which was initially supplied by the plugin
connection properties history shows first user-initiated update as first revi...
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
1.1.2
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Rajan Timaniya
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-01-26 17:41 EST by Ian Springer
Modified: 2014-09-26 06:46 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-26 06:46:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2009-01-26 17:41:00 EST
Go to the Inventory tab for a Resource and edit, modify, then save its Connection Properties. Then click on the HISTORY button to view the connection properties revision history. There will be only one revision shown - the one corresponding to the update you just submitted. Instead, there should be two revisions listed - one for the initial version that was supplied by the plugin, and one for the user-submitted update. This will allow the user to rollback to the initial plugin config and will also make things consistent with the way the Resource config history works.
Comment 1 Red Hat Bugzilla 2009-11-10 15:32:18 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-1404
Comment 2 wes hayutin 2010-02-16 11:53:04 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:58:38 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-08-18 11:10:38 EDT
Per triage this is moved to ONQA w/ the expectation that it is fixed.  If not,
please reopen, otherwise close
Comment 5 Rajan Timaniya 2010-08-25 02:32:19 EDT
Tested on JON 2.4 GA

Steps:
1) Log-in to JON
2) Goto inventory -> connection tab of Postgres/JBossAS
3) Click on EDIT and modify connection properties
4) Click on'SAVE'
5) Click on connection 'HISTORY' button

Actual:
Connection history has only one last modified version, there isn't initial version of connection history.

Expected:
Connection history should be two revisions listed - one for the initial version that was supplied by the plugin, and one for the user-submitted update. This will allow the user to rollback to the initial plugin config and will also make things consistent with the way the resource config history works.
Comment 7 Jay Shaughnessy 2014-05-02 16:48:47 EDT
I think this is still true.  Not sure if we care though. Asking Heiko...
Comment 8 Heiko W. Rupp 2014-09-26 06:46:20 EDT
Users are used to the way it is now. I completely understand the idea behind the request and agree that it is useful, but do not think we should put much energy into it. Closing

Note You need to log in before you can comment on or make changes to this bug.